Update Identity
curl --request PATCH \
--url https://api.mailofly.com/v1/identities/{id} \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"daily_mail_limit": 123,
"smtp_password": "<string>"
}
'import requests
url = "https://api.mailofly.com/v1/identities/{id}"
payload = {
"name": "<string>",
"daily_mail_limit": 123,
"smtp_password": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', daily_mail_limit: 123, smtp_password: '<string>'})
};
fetch('https://api.mailofly.com/v1/identities/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {}
}Identities
Update Identity
Update settings for an existing sender identity.
PATCH
/
v1
/
identities
/
{id}
Update Identity
Partially update identity settings such as name, daily limit, or SMTP credentials.
Legacy compatibility:/v1/accounts/{id}is a deprecated alias supported for backward compatibility. Please use/v1/identities/{id}.
Path Parameters
string
required
The unique UUID of the identity.
Body
string
Updated display name.
number
Updated daily mail limit.
string
Omit to keep existing password. Provide a string to change the password.
Response
object
The updated identity object.
⌘I